Bug 849768 - [RFE] Schedule an operation using cron expression via JBoss ON CLI
[RFE] Schedule an operation using cron expression via JBoss ON CLI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
4.4
All All
high Severity medium (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
: 893567 (view as bug list)
Depends On:
Blocks: PM-147/PRODMGT-147
  Show dependency treegraph
 
Reported: 2012-08-20 15:33 EDT by Larry O'Leary
Modified: 2013-08-31 06:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: PM-147/PRODMGT-147
Environment:
Last Closed: 2013-08-31 06:11:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-08-20 15:33:40 EDT
+++ This bug was initially created as a clone of Bug #818697 +++

Details are in https://issues.jboss.org/browse/PRODMGT-147, which should be read to understand the complete usecase.

The short story is we need a way to let someone specify a cron string, e.g. "0 0 12 * * ?" when scheduling an operation via the CLI, e.g. update OperationManagerRemote to add support for this feature.

Its already possible to do this via the UI.

--- Additional comment from ccrouch@redhat.com on 2012-05-03 14:41:46 EDT ---

Targeting at JON3.2
Comment 1 Jirka Kremser 2013-01-24 11:23:21 EST
*** Bug 893567 has been marked as a duplicate of this bug. ***
Comment 2 Jirka Kremser 2013-01-25 11:32:35 EST
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=48e2ecc14

time:    Fri Jan 25 16:54:14 2013 +0100
commit:  48e2ecc14bd7d70b6b02909c9ef0149c24eac2bd
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ [RFE] Schedule an operation using cron expression via JBoss ON CLI] Methods scheduleResourceOperationUsingCron() and scheduleGroupOperationUsingCron() have been added to the OperationManager.
Comment 3 Libor Zoubek 2013-04-02 05:14:46 EDT
verified on 4.7.0-SNAPSHOT (946eb10)
Comment 4 Heiko W. Rupp 2013-08-31 06:11:15 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.